Bug 471900 - [QLogic 5.4 feat] qla2xxx,qla8xxx - Support production FCoE hardware.
[QLogic 5.4 feat] qla2xxx,qla8xxx - Support production FCoE hardware.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: beta
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: FutureFeature, OtherQA
: 475241 475244 475325 (view as bug list)
Depends On:
Blocks: 445204 460170 483701 483784 501989
  Show dependency treegraph
 
Reported: 2008-11-17 11:18 EST by Marcus Barrow
Modified: 2011-02-22 05:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
81xx support (68.75 KB, patch)
2009-01-14 15:37 EST, Marcus Barrow
no flags Details | Diff
81xx firmware (1.11 MB, patch)
2009-01-14 15:37 EST, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Marcus Barrow 2008-11-17 11:18:37 EST
During the 5.4 development, QLogics production FCoE hardware will become available and start shipping. The BZ is to cover the required driver updates.
Comment 1 Andrius Benokraitis 2008-12-10 10:09:48 EST
Adding IBM ppc group, thinking this QLogic bug is the closest so far to their request.
Comment 2 Andrius Benokraitis 2008-12-10 10:10:11 EST
*** Bug 475241 has been marked as a duplicate of this bug. ***
Comment 4 Richard A Lary 2008-12-10 14:18:59 EST
This QLogic bug will satisfy IBM RHEL5.4 Feature request for QLogic FCoE (CNA) adapter support.
Comment 5 Andrius Benokraitis 2008-12-18 14:14:30 EST
*** Bug 475325 has been marked as a duplicate of this bug. ***
Comment 6 IBM Bug Proxy 2008-12-18 14:22:51 EST
Feature Id:	[201504]
a. Name of Feature:	QLA2XXX Driver Update
This request is to update the qla2xxx driver to the latest available version to pick up the latest
features and bug fixes. Qlogic will provide the latest available version.

Additional Comments:	We require support for the 4GB, 8GB, and CNA Qlogic adapters.

Sponsor:	xSeries
x86
x86_64

Arch Specificity: Both
Delivery Mechanism: Backport
Request Type:	Driver - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
g. Component Version Target:	Driver Update

The qla2xxx driver is used across the System x product line. We need the in-distro driver to be as
current as possible so known critical bugs are ensured to be corrected.


Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

Julio Alvarez, julioa@us.ibm.com
Comment 7 Marcus Barrow 2009-01-14 15:37:12 EST
Created attachment 329044 [details]
81xx support
Comment 8 Marcus Barrow 2009-01-14 15:37:50 EST
Created attachment 329045 [details]
81xx firmware
Comment 9 Richard A Lary 2009-01-14 16:31:47 EST
What is version for the driver with these patches appplied?  I did not see updated qla_version.h file in patch set?
Comment 10 Marcus Barrow 2009-01-14 18:25:18 EST
I have not updated the number yet. I try to batch some changes and then apply a version.

It's just hard to get this right. I can't determine the exact order that RedHat applies the patches and puts them in builds, so there is the risk of the numbers moving back and forth as opposed to always increasing. Sometimes a patch is delayed before it is applied, that's what makes it difficult.

There will be many more patches, but you can try this one if you have your hardware ready to go. It should just apply on the 5.3 driver, because it is the first patch.

I am also pushing for this patch to be available as a KMOD to 5.3 customers...
Comment 11 Richard A Lary 2009-01-14 20:28:28 EST
Thank you for explaination, makes sense.

I like idea of making driver update available as KMOD for RHEL5.3, in fact I was planning on suggesting the same at next IBM/QLogic meeting.
Comment 12 Marcus Barrow 2009-01-15 12:46:20 EST
The really important people to hear this are the RedHat folks. There are many possibilities opening up with the ability to support KMODs for drivers. Vendors could have their own repositories, support people can more easily deliver test modules, OEM's and customers can run test environments with new software.

RedHat just needs to know that OEM's and customers will benefit from the better and less costly support being made possible. Along with the quality improvement offered by making up front testing easier.
Comment 13 Andrius Benokraitis 2009-01-21 01:33:47 EST
*** Bug 475244 has been marked as a duplicate of this bug. ***
Comment 14 IBM Bug Proxy 2009-01-22 16:02:47 EST
Feature Id:	[201476]
a. Name of Feature:	Support FCoCEE 10Gb PCI-E gen2 card on Blades
This feature is to provide support for the FCoCEE (Fibre Chennal over Converged Enhanced Ethernet)
card on pBlade by 10/2009.



Provide the emerging FCoCEE technology on Power blades




IBM, It is not sufficient to put in "Affects Installer: Yes", a separate Anaconda bug needs to be opened to request this support.  Please do this for this and any other new device drivers for which you are requesting support.  This becomes a work item as part of the plan to enable this new hardware and otherwise it might be missed.
Marcus - can you let me know if you have a QLogic BZ that will take care of this?


(In reply to comment #7)
> Marcus - can you let me know if you have a QLogic BZ that will take care of this?

I am not aware of any needed changes to anaconda to support CNA adapter.

Marcus will you confirm no changes to installer will be required for CNA adapter.
I have spoken with RedHat folks and we don't believe additional Anaconda support is required. The driver support is provided by an existing driver, the qla2xxx FC driver which is already included in the installer. The driver will recognize the card and perform as required. The newer hardware support will be present in the RHEL 5.4 driver.
IBM is signed up to test and provide feedback.
Marcus - when the wholesale qla2xxx driver bugzilla that addresses this is created, please let me know so that I may dupe.
Marcus, would bugzilla 471900 be the one Andrius is seeking?
Yes, I believe so. There is an additional BZ to provide the ethernet driver for this card, 479288.
Comment 15 IBM Bug Proxy 2009-02-10 16:45:53 EST
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> -
1. Feature Overview:
Feature Id:	[201475]
a. Name of Feature:	Support a FCoCEE (Fibre Channel over Convergence Enhanced Ethernet) adapter
b. Feature Description
This feature is for supporting a new adapter scheduled to be offered on p7 systems by 10/09. This is
a 10Gb PCI-E gen2 Ethernet adapter supporting FCoCEE standard for converged general networking and
storage connections.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Purely Common Code
Affects Installer: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Device Driver
Category:	Device Drivers and IO
Request Type:	Driver - New - Open Source
d. Upstream Acceptance:	Not Evaluated
Sponsor Priority	1
f. Severity: High
IBM Confidential:	yes
Code Contribution:	3rd party code
g. Component Version Target:	TBD

3. Business Case
Provide the emerging industry FCoCEE standard on Power Servers.

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Daisy Chang, daisyc@us.ibm.com
Richard Lary, rlary@us.ibm.com

IBM Manager:
Wendel Voigt, wvoigt@us.ibm.com
Which hardware vendor will be providing the component?  When is the hardware going to be onsite at Red Hat?  Was a feature request opened to request installer support (if not, it should be).
(In reply to comment #5)
> Which hardware vendor will be providing the component?  When is the hardware
> going to be onsite at Red Hat?  Was a feature request opened to request installer support (if not, it should be).

Since installer currently supports qla2xxx driver I do not expect any installer changes.

Selected vendor for Power is QLogic.

For this Converged Network Adaper there are two drivers:
Fibre Channel driver: qla2xxx
10GB Ethernet driver: qlge

Both drivers are in mainline, however, since first hardware is only now being brought up, patches to mainline code are expected.

Hardware is being brought up now, schedule for test adapters will likely be availble in few weeks.

We should change the name of this bug/feature to:

Qlogic CNA PCI-E gen2 card on Power Servers

To distingush this feature from other CNA adapter features for other IBM platforms.
This is still vague... we already support qla2xxx with FCoE in RHEL 5.3. Also, feature requests should be in the form of updating/supporting a driver, not a specific card. Please work with QLogic regarding what patches/drivers are required. If this is just a generic "update qla2xxx to version x.y.z" that would help too.
*** This bug has been marked as a duplicate of 471900 ***

Took a stab and duped this to one of QLogic's open bugs... if this isn't about right, we'll all have to work with QLogic to open a new bug (and IBM to dupe to it).
Comment 16 RHEL Product and Program Management 2009-02-16 10:15:41 EST
Updating PM score.
Comment 17 John Jarvis 2009-03-04 09:16:41 EST
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 18 Don Zickus 2009-04-06 17:16:47 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 20 IBM Bug Proxy 2009-04-28 11:51:58 EDT
------- Comment From rlary@us.ibm.com 2009-04-28 11:46 EDT-------
Patches added above mirror those submitted in listed Red Hat bugzillas.

They are attached here to support IBM internal Red Hat test build process.

No action required by Red Hat on this bugzilla.
Comment 21 IBM Bug Proxy 2009-04-28 15:01:21 EDT
------- Comment From rlary@us.ibm.com 2009-04-28 14:54 EDT-------
(From update of attachment 42310)
Mistake to obsolete this patch

------- Comment From rlary@us.ibm.com 2009-04-28 14:55 EDT-------
(From update of attachment 42311 [details])
mistake to obsolete this patch
Comment 22 Chris Ward 2009-06-14 19:16:32 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 23 IBM Bug Proxy 2009-06-23 17:51:08 EDT
------- Comment From hebertc@us.ibm.com 2009-06-23 17:40 EDT-------
Hi,

I installed and tested both the 5.4 alpha 32 and 64 -bit versions on an x3400 with 8 jbod LUNs.  I ran disktests on the following kernels:

32-bit:
2.6.18-152.el5
2.6.18-152.el5PAE

64-bit
2.6.18-152.el5

(Neither the 32-bit nor the 64-bit XEN kernels would boot so these were not tested.  Both boot attempts failed with Error 13:  Unsupported format, etc.)

QLogic Fibre Channel HBA Driver
ACPI: PCI Interrupt 0000:04:00.0[A] -> GSI 16 (level, low) -> IRQ 177
qla2xxx 0000:04:00.0: Found an ISP2432, irq 177, iobase 0xffffc2000002c000
qla2xxx 0000:04:00.0: Configuring PCI space...
PCI: Setting latency timer of device 0000:04:00.0 to 64
qla2xxx 0000:04:00.0: Configure NVRAM parameters...
qla2xxx 0000:04:00.0: Verifying loaded RISC code...
qla2xxx 0000:04:00.0: Allocated (64 KB) for EFT...
qla2xxx 0000:04:00.0: Allocated (1413 KB) for firmware dump...
scsi3 : qla2xxx
qla2xxx 0000:04:00.0:
QLogic Fibre Channel HBA Driver: 8.03.00.04.05.04-k
QLogic QLE2462 - QLogic 4GB FC Dual-Port PCI-E HBA for IBM System x
ISP2432: PCIe (2.5Gb/s x4) @ 0000:04:00.0 hdma-, host#=3, fw=4.04.05 (486)
ACPI: PCI Interrupt 0000:04:00.1[B] -> GSI 17 (level, low) -> IRQ 185
qla2xxx 0000:04:00.1: Found an ISP2432, irq 185, iobase 0xffffc2000002e000
qla2xxx 0000:04:00.1: Configuring PCI space...
PCI: Setting latency timer of device 0000:04:00.1 to 64
qla2xxx 0000:04:00.1: Configure NVRAM parameters...
qla2xxx 0000:04:00.1: Verifying loaded RISC code...
qla2xxx 0000:04:00.1: Allocated (64 KB) for EFT...
qla2xxx 0000:04:00.1: Allocated (1413 KB) for firmware dump...
scsi4 : qla2xxx
qla2xxx 0000:04:00.1:
QLogic Fibre Channel HBA Driver: 8.03.00.04.05.04-k
QLogic QLE2462 - QLogic 4GB FC Dual-Port PCI-E HBA for IBM System x
ISP2432: PCIe (2.5Gb/s x4) @ 0000:04:00.1 hdma-, host#=4, fw=4.04.05 (486)
...
qla2xxx 0000:04:00.1: LIP reset occured (f700).
qla2xxx 0000:04:00.1: LIP occured (f700).
qla2xxx 0000:04:00.1: LIP reset occured (f7f7).
qla2xxx 0000:04:00.1: LOOP UP detected (4 Gbps).
Vendor: IBM       Model: 1726-4xx  FAStT   Rev: 0617
Type:   Direct-Access                      ANSI SCSI revision: 05

lspci -v
04:00.0 Fibre Channel: QLogic Corp. ISP2432-based 4Gb Fibre Channel to PCI Express HBA (rev 03)
Subsystem: QLogic Corp. Unknown device 0138
Flags: bus master, fast devsel, latency 0, IRQ 177
I/O ports at 4000 [size=256]
Memory at c8400000 (64-bit, non-prefetchable) [size=16K]
[virtual] Expansion ROM at c8440000 [disabled] [size=256K]
Capabilities: [44] Power Management version 2
Capabilities: [4c] Express Endpoint IRQ 0
Capabilities: [64] Message Signalled Interrupts: 64bit+ Queue=0/4 Enable-
Capabilities: [74] Vital Product Data
Capabilities: [7c] MSI-X: Enable- Mask- TabSize=16
Capabilities: [100] Advanced Error Reporting
Capabilities: [138] Power Budgeting

I ran overnight disktests on the 32-bit regular and PAE kernels and on
the 64-bit kernel.  There were no issues related to the qla2xxx driver seen during any tests.
Comment 24 Chris Ward 2009-07-03 14:13:38 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 25 Chris Ward 2009-07-10 15:06:30 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 26 Richard A Lary 2009-07-13 13:28:22 EDT
Verified requested feature is present in Snapshot1.
Comment 27 IBM Bug Proxy 2009-07-13 13:32:44 EDT
------- Comment From rlary@us.ibm.com 2009-07-13 13:22 EDT-------
Support for QLogic Mason CNA (FCoE) adapter for Power PC is present in RHEL5.4 Snapshot1.

We are expecting additional driver updates in upcoming snapshot, the feature can be considered as present and verified.
Comment 28 IBM Bug Proxy 2009-07-18 09:10:53 EDT
------- Comment From rlary@us.ibm.com 2009-07-18 09:05 EDT-------
Closing as current qla2xxx drivers in RHEL5.4 provide the support required by this feature request.
Comment 29 Marcus Barrow 2009-07-28 10:18:34 EDT
Verified in kernel-2.6.18-158.
Comment 31 errata-xmlrpc 2009-09-02 04:28:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 32 IBM Bug Proxy 2011-02-22 05:04:52 EST
------- Comment From prem.karat@linux.vnet.ibm.com 2011-02-22 04:55 EDT-------
> I ran overnight disktests on the 32-bit regular and PAE kernels and on
> the 64-bit kernel.  There were no issues related to the qla2xxx driver seen
> during any tests.

***Reviewed as a part of clean up activity********

Closing this one out as per the last comment

Cheers,
Prem

Note You need to log in before you can comment on or make changes to this bug.